org.richfaces.renderkit

## Class AutocompleteRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.AutocompleteRendererBase

- All Implemented Interfaces:
    org.richfaces.ui.common.meta.MetaComponentRenderer
  Direct Known Subclasses:
    AutocompleteRenderer

      public abstract class AutocompleteRendererBase
      extends InputRendererBase
      implements org.richfaces.ui.common.meta.MetaComponentRenderer

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutocompleteRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeItem(javax.faces.context.FacesContext facesContext, AbstractAutocomplete comboBox, Object item, AutocompleteEncodeStrategy strategy)`
    `protected void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<Object> fetchValues)`
    `protected void` | `encodeItemsContainer(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `org.richfaces.javascript.JSReference` | `getClientFilterFunction(javax.faces.component.UIComponent component)`
    `Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object val)`
    `protected int` | `getMinCharsOrDefault(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutocompleteRendererBase

          public AutocompleteRendererBase()

  - ### Method Detail

    - #### getClientFilterFunction

          public org.richfaces.javascript.JSReference getClientFilterFunction(javax.faces.component.UIComponent component)

    - #### encodeItems

          protected void encodeItems(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         List<Object> fetchValues)
                              throws IOException

      Throws:
        `IOException`

    - #### encodeItemsContainer

          protected void encodeItemsContainer(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component)
                                       throws IOException

      Throws:
        `IOException`

    - #### encodeItem

          public void encodeItem(javax.faces.context.FacesContext facesContext,
                        AbstractAutocomplete comboBox,
                        Object item,
                        AutocompleteEncodeStrategy strategy)
                          throws IOException

      Throws:
        `IOException`

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `InputRendererBase`

    - #### encodeMetaComponent

          public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)
                                   throws IOException

      Specified by:
        `encodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`
      Throws:
        `IOException`

    - #### decodeMetaComponent

          public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)

      Specified by:
        `decodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`

    - #### getMinCharsOrDefault

          protected int getMinCharsOrDefault(javax.faces.component.UIComponent component)

    - #### getConvertedValue

          public Object getConvertedValue(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 Object val)
                                   throws javax.faces.convert.ConverterException

      Overrides:
        `getConvertedValue` in class `InputRendererBase`
      Throws:
        `javax.faces.convert.ConverterException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.